LibreOffice: XCachedDynamicResultSetFactory Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCachedDynamicResultSetFactory Interface Referencepublished

creates a CachedDynamicResultSet. More...

`import <XCachedDynamicResultSetFactory.idl;`

Inheritance diagram for XCachedDynamicResultSetFactory:

## Public Member Functions
com::sun::star::ucb::XDynamicResultSet | createCachedDynamicResultSet ([in] com::sun::star::ucb::XDynamicResultSet SourceStub, [in] com::sun::star::ucb::XContentIdentifierMapping ContentIdentifierMapping)
| creates a remote optimizes XDynamicResultSet.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

creates a CachedDynamicResultSet.

Pay attention to instantiate this helper on client side where your want to read the data respectively where you have instantiated the listener to the XDynamicResultSet.

The needed stub on server side can be created using XCachedDynamicResultSetStubFactory.

## Member Function Documentation

## ◆ createCachedDynamicResultSet()

com::sun::star::ucb::XDynamicResultSet createCachedDynamicResultSet | ( | [in] com::sun::star::ucb::XDynamicResultSet | SourceStub,
|  | [in] com::sun::star::ucb::XContentIdentifierMapping | ContentIdentifierMapping
| ) |  |

creates a remote optimizes XDynamicResultSet.

Parameters

  SourceStub | must be an instance of service CachedDynamicResultSetStub. It can be `NULL`. In this case you can use the interface XSourceInitialization of the returned CachedDynamicResultSet to set the stub later.
  ContentIdentifierMapping | is not required, but can be set if it is necessary to change the identity of the contents accessible via the interface XContentAccess of the ContentResultSet (e.g., if merging two sources of the same type).

Returns
  an instance of service CachedDynamicResultSet.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCachedDynamicResultSetFactory.idl